Bug fixVirtual field deep is throwing error for SQL databases in some edge cases.
ImprovementMaster save now automatically sets value of key which points to another table key which is saved previously in nested structure in any level.
Bug fixCode finder throwing error issue fixed
Bug fixSQL Server bulk insert should return saved data when we don’t have any auto increment key in table.
ImprovementCode comparator refactoring. Simple plain text comparator added.
FeatureDeployment hooks feature are now supported.
Now API Maker deployment can be done from outside also.
Ex: Deployment pipelines, Some mobile app or web app, terminal, postman etc...
FeaturethrowErrorIfRecordNotFound query parameter support added in deleteById & updateById & replaceById APIs and their respective methods in code.
So, API will throw error when we try to delete/update/replace record which is not there in database. We can override database behaviour of not throwing error.
FeatureNow we can upload files for g.req.body.files1 & g.req.body.files2 etc.. upto 50 to handle multiple file categories. Earlier we had support for only g.req.body.files
Bug fixUtility class change is not getting reflected for native custom APIs.
FeatureauthTokenInfo supports multiple objects of same type, for example we can provide multiple objects of "authTokenType": "AM_DB" and when we pass token in x-am-user-authorization should be valid token of any provided table. Same is applicable with other types.
ImprovementInstallation script now supports installation without caddy server and node_modules of old installation folder will be used in case of same package.json file which will improve installation performance.